#ifndef PHP_OP5LICENSE_H
#define PHP_OP5LICENSE_H

extern zend_module_entry op5license_module_entry;
#define phpext_op5license_ptr &op5license_module_entry

#define PHP_OP5LICENSE_VERSION "2021.8.1"

#ifdef PHP_WIN32
#define PHP_OP5LICENSE_API __declspec(dllexport)
#elif defined(__GNUC__) && __GNUC__ >= 4 
#define PHP_OP5LICENSE_API __attribute__((visibility("default")))
#else
#define PHP_OP5LICENSE_API
#endif

#ifdef ZTS
#include "TSRM.h"
#endif

ZEND_BEGIN_MODULE_GLOBALS(op5license)
	char *license_file_path; ZEND_END_MODULE_GLOBALS(op5license)

#ifdef ZTS
#define OP5LICENSE_G(v) TSRMG(op5license_globals_id, zend_op5license_globals *, v)
#else
#define OP5LICENSE_G(v) (op5license_globals.v)
#endif

#endif
